Skip to main content
GET
/
api
/
conversations
/
{conversation_id}
/
events
Search Events
curl --request GET \
  --url https://app.all-hands.dev/api/conversations/{conversation_id}/events \
  --header 'Content-Type: application/json' \
  --header 'X-Session-API-Key: <api-key>' \
  --data '
{
  "exclude_hidden": false,
  "query": "<string>",
  "include_types": [
    "<unknown>"
  ],
  "exclude_types": [
    "<unknown>"
  ],
  "source": "<string>",
  "start_date": "<string>",
  "end_date": "<string>"
}
'
import requests

url = "https://app.all-hands.dev/api/conversations/{conversation_id}/events"

payload = {
"exclude_hidden": False,
"query": "<string>",
"include_types": ["<unknown>"],
"exclude_types": ["<unknown>"],
"source": "<string>",
"start_date": "<string>",
"end_date": "<string>"
}
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exclude_hidden: false,
query: '<string>',
include_types: ['<unknown>'],
exclude_types: ['<unknown>'],
source: '<string>',
start_date: '<string>',
end_date: '<string>'
})
};

fetch('https://app.all-hands.dev/api/conversations/{conversation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-Session-API-Key
string
header
required

Path Parameters

conversation_id
string
required

Query Parameters

start_id
integer
default:0
end_id
integer | null
reverse
boolean
default:false
limit
integer
default:20

Body

application/json
exclude_hidden
boolean
default:false
query
string | null
include_types
any[] | null
exclude_types
any[] | null
source
string | null
start_date
string | null
end_date
string | null

Response

Successful Response